
From: Andrew Morton <akpm@osdl.org>

- Remove unneeded initialisation

- Avoid StudlyCaps

- help the compiler avoid generating a temporary

Cc: Peter Skipworth <pete@peterskipworth.com>
Cc: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/bttv-cards.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/media/video/bttv-cards.c~bttv-support-for-adlink-rtv24-capture-card-more-tidy drivers/media/video/bttv-cards.c
--- 25/drivers/media/video/bttv-cards.c~bttv-support-for-adlink-rtv24-capture-card-more-tidy	2005-05-17 01:09:09.000000000 -0700
+++ 25-akpm/drivers/media/video/bttv-cards.c	2005-05-17 01:16:16.000000000 -0700
@@ -3350,8 +3350,8 @@ static void __devinit init_PXC200(struct
 /* ----------------------------------------------------------------------- */
 void init_RTV24(struct bttv *btv)
 {
-	u32 dataRead = 0;
-	long watchdog_value = 0x0E;
+	u32 dataread;
+	const long watchdog_value = 0x0E;
 
 	printk(KERN_INFO "bttv%d: Adlink RTV-24 initialisation in progress\n",
 		btv->c.nr);
@@ -3364,12 +3364,12 @@ void init_RTV24(struct bttv *btv)
 	msleep( 10 );
 	btwrite(0 + watchdog_value, BT848_GPIO_DATA);
 
-	dataRead = btread(BT848_GPIO_DATA);
+	dataread = btread(BT848_GPIO_DATA);
 
-	if (((dataRead >> 18) & 0x01) != 0 || ((dataRead >> 19) & 0x01) != 1) {
+	if (((dataread >> 18) & 0x01) != 0 || ((dataread >> 19) & 0x01) != 1) {
 		printk(KERN_INFO "bttv%d: Adlink RTV-24 initialisation(1) "
 				"ERROR_CPLD_Check_Failed (read %d)\n",
-				btv->c.nr, dataRead);
+				btv->c.nr, dataread);
 	}
 
 	btwrite(0x4400 + watchdog_value, BT848_GPIO_DATA);
@@ -3378,12 +3378,12 @@ void init_RTV24(struct bttv *btv)
 	msleep(1);
 	btwrite(watchdog_value, BT848_GPIO_DATA);
 	msleep(1);
-	dataRead = btread(BT848_GPIO_DATA);
+	dataread = btread(BT848_GPIO_DATA);
 
-	if (((dataRead >> 18) & 0x01) != 0 || ((dataRead >> 19) & 0x01) != 0) {
+	if (((dataread >> 18) & 0x01) != 0 || ((dataread >> 19) & 0x01) != 0) {
 		printk(KERN_INFO "bttv%d: Adlink RTV-24 initialisation(2) "
 				"ERROR_CPLD_Check_Failed (read %d)\n",
-				btv->c.nr, dataRead);
+				btv->c.nr, dataread);
 		return;
 	}
 
_
